import basicDetector from "./basicDetector.js";
import feurDetector from "./feurDetector.js";
import pingDetector from "./pingDetector.js";
import quoicoubehDetector from "./quoicoubehDetector.js";
import suffixPrefixDetector from "./suffixPrefixDetector.js";
import withPronounDetector from "./withPronounDetector.js"; 

const firstDetector = new withPronounDetector(); 

firstDetector
  .setNextDetector(new suffixPrefixDetector())
  .setNextDetector(new basicDetector())
  .setNextDetector(new quoicoubehDetector())
  .setNextDetector(new feurDetector())
  .setNextDetector(new pingDetector());

export default firstDetector;